PKIXCertPathBuilderResult (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class PKIXCertPathBuilderResult

    java.lang.Object
      |
      +--java.security.cert.PKIXCertPathValidatorResult
            |
            +--java.security.cert.PKIXCertPathBuilderResult

All Implemented Interfaces:
  CertPathBuilderResult, CertPathValidatorResult, Cloneable

public class PKIXCertPathBuilderResult
extends PKIXCertPathValidatorResult
implements CertPathBuilderResult

This class represents the successful result of the PKIX certification path builder algorithm. All certification paths that are built and returned using this algorithm are also validated according to the PKIX certification path validation algorithm.

Instances of `PKIXCertPathBuilderResult` are returned by the `build` method of `CertPathBuilder` objects implementing the PKIX algorithm.

All `PKIXCertPathBuilderResult` objects contain the certification path constructed by the build algorithm, the valid policy tree and subject public key resulting from the build algorithm, and a `TrustAnchor` describing the certification authority (CA) that served as a trust anchor for the certification path.

Concurrent Access

Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

Since:
  1.4
See Also:
  `CertPathBuilderResult`

Constructor Summary
`PKIXCertPathBuilderResult(CertPath certPath, TrustAnchor trustAnchor, PolicyNode policyTree, PublicKey subjectPublicKey)` Creates an instance of `PKIXCertPathBuilderResult` containing the specified parameters.

Method Summary
`CertPath` | `getCertPath()` Returns the built and validated certification path.
`String` | `toString()` Return a printable representation of this `PKIXCertPathBuilderResult`.

Methods inherited from class java.security.cert.PKIXCertPathValidatorResult
`clone, getPolicyTree, getPublicKey, getTrustAnchor`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.cert.CertPathBuilderResult
`clone`

Constructor Detail

### PKIXCertPathBuilderResult

    public PKIXCertPathBuilderResult(CertPath certPath,
                                     TrustAnchor trustAnchor,
                                     PolicyNode policyTree,
                                     PublicKey subjectPublicKey)

  Creates an instance of `PKIXCertPathBuilderResult` containing the specified parameters.

Parameters:
  `certPath` - the validated `CertPath`
  `trustAnchor` - a `TrustAnchor` describing the CA that served as a trust anchor for the certification path
  `policyTree` - the immutable valid policy tree, or `null` if there are no valid policies
  `subjectPublicKey` - the public key of the subject
Throws:
  `NullPointerException` - if the `certPath`, `trustAnchor` or `subjectPublicKey` parameters are `null`

Method Detail

### getCertPath

    public CertPath getCertPath()

  Returns the built and validated certification path. The `CertPath` object does not include the trust anchor. Instead, use the `getTrustAnchor()` method to obtain the `TrustAnchor` that served as the trust anchor for the certification path.

  Specified by:
    `getCertPath` in interface `CertPathBuilderResult`
  Returns:
    the built and validated `CertPath` (never `null`)

### toString

    public String toString()

  Return a printable representation of this `PKIXCertPathBuilderResult`.

  Overrides:
    `toString` in class `PKIXCertPathValidatorResult`
  Returns:
    a `String` describing the contents of this `PKIXCertPathBuilderResult`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.